Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.view
Class ModelInput

    java.lang.Object
      org.eclipse.amp.axf.view.ModelInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorInput

Direct Known Subclasses:
  ModelEditPartInput

    public class ModelInput

extends java.lang.Object
implements org.eclipse.ui.IEditorInput

The Class ModelInput.

Field Summary
`protected IModel` | `model`
`static org.eclipse.jface.resource.ImageDescriptor` | `MODEL_IMAGE`

Constructor Summary
`ModelInput(IModel model)` Instantiates a new model input.
`ModelInput(IModel model, org.eclipse.jface.viewers.ISelection initialSelection)` Instantiates a new model input.

Method Summary
`boolean` | `exists()`
`java.lang.Object` | `getAdapter(java.lang.Class type)`
`org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor()`
`IModel` | `getModel()` Gets the model.
`java.lang.String` | `getName()`
`org.eclipse.ui.IPersistableElement` | `getPersistable()`
`org.eclipse.jface.viewers.ISelection` | `getSelection()`
`java.lang.String` | `getToolTipText()`
`void` | `setModel(IModel model)` Sets the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### model

    protected IModel model

### MODEL_IMAGE

    public static org.eclipse.jface.resource.ImageDescriptor MODEL_IMAGE

Constructor Detail

### ModelInput

    public ModelInput(IModel model,
                      org.eclipse.jface.viewers.ISelection initialSelection)

  Instantiates a new model input.

  Parameters:
    `model` - the model
    `initialSelection` - an optional selection for the first object

### ModelInput

    public ModelInput(IModel model)

  Instantiates a new model input.

  Parameters:
    `model` - the model
    `initialSelection` - an optional selection for the first object

Method Detail

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `org.eclipse.ui.IEditorInput`
  Returns:
  See Also:
    `IEditorInput.exists()`

### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `org.eclipse.ui.IEditorInput`
  Returns:
  See Also:
    `IEditorInput.getImageDescriptor()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.ui.IEditorInput`
  Returns:
  See Also:
    `IEditorInput.getName()`

### getPersistable

    public org.eclipse.ui.IPersistableElement getPersistable()

  Specified by:
    `getPersistable` in interface `org.eclipse.ui.IEditorInput`
  Returns:
  See Also:
    `IEditorInput.getPersistable()`

### getToolTipText

    public java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `org.eclipse.ui.IEditorInput`
  Returns:
  See Also:
    `IEditorInput.getToolTipText()`

### getModel

    public IModel getModel()

  Gets the model.

  Returns:
    the model

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class type)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Parameters:
    `type` -
  Returns:
  See Also:
    `IAdaptable.getAdapter(java.lang.Class)`

### setModel

    public void setModel(IModel model)

  Sets the model.

  Parameters:
    `model` - the new model

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Returns:
    the initialSelection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD